Bug 49175 - Migrate services/univention-radius to dh_python2
Migrate services/univention-radius to dh_python2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Radius
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks: 28497
  Show dependency treegraph
 
Reported: 2019-03-28 10:27 CET by Florian Best
Modified: 2019-12-11 16:49 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-28 10:27:57 CET
The package services/univention-radius should be migrated to use dh_python instead of python-support.

Migration-Guide: https://hutten.knut.univention.de/mediawiki/index.php/Python_DebHelper_Migration
Comment 1 Florian Best univentionstaff 2019-11-12 08:48:38 CET
First steps were already done in Bug #50006.
Comment 2 Florian Best univentionstaff 2019-11-12 14:48:23 CET
Patch available in git:dh-python/services
Comment 3 Florian Best univentionstaff 2019-12-03 16:39:57 CET
Patch applied.

univention-radius (6.0.2-15)
ccd329c9fd1c | Bug #49175: migrate univention-radius to dh_python

univention-radius.yaml
faa9f4050a0b | YAML Bug #49175

univention-radius (6.0.2-16)
a7d20404d0e2 | Bug #49175: fix ftbfs: add missing build dependency
Comment 4 Johannes Keiser univentionstaff 2019-12-10 12:26:32 CET
OK code changes
OK debdiff / dpkg -L
OK install / upgrade
OK YAML
-> verified
Comment 5 Erik Damrose univentionstaff 2019-12-11 16:49:39 CET
<http://errata.software-univention.de/ucs/4.4/398.html>